Skip to content

Update a profile

PUT
/api/profiles/{id}
curl --request PUT \
--url https://api.usegro.co/api/profiles/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "email": "example", "email_status": "subscribed", "sms_status": "subscribed", "first_name": "example", "last_name": "example", "title": "example", "phone_number": "example", "external_id": "example", "address1": "example", "address2": "example", "city": "example", "country": "example", "country_code": "example", "region": "example", "postal_code": "example", "timezone": "example", "ip": "example", "properties": {} }'
id
required
string
Media typeapplication/json
object
email
string
email_status
string
Allowed values: subscribed unsubscribed suppressed
sms_status
string
Allowed values: subscribed unsubscribed suppressed
first_name
string
last_name
string
title
string
phone_number
string
external_id
string
address1
string
address2
string
city
string
country
string
country_code
string
region
string
postal_code
string
timezone
string
ip
string
properties
object
key
additional properties
any
Media typeapplication/json
object
data
required
object
id
required
string
timezone
string
nullable
address1
string
nullable
address2
string
nullable
city
string
nullable
region
string
nullable
country
string
nullable
country_code
string
nullable
postal_code
string
nullable
created_at
string
nullable
updated_at
string
nullable
full_address
required
string
external_id
string
nullable
email
required
string
full_name
required
string
email_status
One of:
string
nullable
first_name
string
nullable
last_name
string
nullable
phone_number
string
nullable
phone_country
string
nullable
sms_status
One of:
string
nullable
sms_opt_in_level
One of:
string
nullable
sms_consent_source
string
nullable
sms_consented_at
string
nullable
consent_source
string
nullable
consented_at
string
nullable
shopify_customer_id
string
nullable
shopify_customer_tags
Array<string>
nullable
properties
required
object

Example

{
"data": {
"email_status": "subscribed",
"sms_status": "subscribed",
"sms_opt_in_level": "single_opt_in"
}
}